aboutsummaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorHuabingZhao <zhao.huabing@zte.com.cn>2017-07-25 15:18:33 +0800
committerHuabingZhao <zhao.huabing@zte.com.cn>2017-07-25 18:11:59 +0800
commit672f3d40be83d9e380fd7be4b674d5e8d5fa36de (patch)
tree43105e1d5e2ba8e8accea8648e57e1cf87db3f00 /ci
parent41d3db15a8e1a0496f9c2a5e15db2998a32bb9bf (diff)
Divide the MSB source codes into two repos
Change-Id: Ie76d545b214a8ce5191f215350a623e1529983d9 Issue-id: MSB-5 Signed-off-by: HuabingZhao <zhao.huabing@zte.com.cn>
Diffstat (limited to 'ci')
-rw-r--r--ci/build_docker_image.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/ci/build_docker_image.sh b/ci/build_docker_image.sh
new file mode 100644
index 0000000..7b6b546
--- /dev/null
+++ b/ci/build_docker_image.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+for i in "$@"
+do
+case $i in
+ -n=*|--name=*)
+ NAME="${i#*=}"
+ shift
+ ;;
+ -v=*|--version=*)
+ VERSION="${i#*=}"
+ shift
+ ;;
+ -d=*|--dir=*)
+ DIR="${i#*=}"
+ shift
+ ;;
+esac
+done
+
+if [[ ${NAME} && ${VERSION} && ${DIR} ]]; then
+ echo "assign the x to all files and dirs under current dir.."
+ chmod +x -R .
+ echo "begin to build image ${NAME}.."
+ docker build --no-cache -t ${NAME}:${VERSION} . >/dev/null || { echo -e "\nBuild docker image failed!";exit 1; }
+ docker rmi $(docker images | grep "^<none>" | awk '{print $3}') &>/dev/null
+ docker save -o ${NAME}.tar ${NAME}:${VERSION} >/dev/null || { rm -f ${NAME}.tar &>/dev/null;echo -e "\nSave docker image failed!";exit 1; }
+ if [ ! -d ${DIR} ]; then
+ mkdir -p ${DIR}
+ fi
+ mv ${NAME}.tar ${DIR}/${NAME}.tar &>/dev/null
+ echo "build completes!"
+else
+ echo "not all -n and -v and -d are provided!"
+ exit 1
+fi